import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        value?: number;
        min?: number;
        max?: number;
        step?: number;
        ticks?: number[];
        tickPlacement?: "around" | "before" | "after";
        tooltip?: boolean;
        prefix?: string;
        suffix?: string;
        track?: boolean;
        orientation?: "vertical" | "horizontal";
        reverse?: boolean;
        disabled?: boolean;
        class?: string;
        getElement?: () => HTMLInputElement;
        stepUp?: () => void;
        stepDown?: () => void;
    };
    events: {
        click: MouseEvent;
        blur: FocusEvent;
        focus: FocusEvent;
        dblclick: MouseEvent;
        contextmenu: MouseEvent;
        mousedown: MouseEvent;
        mouseup: MouseEvent;
        mouseover: MouseEvent;
        mouseout: MouseEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        keypress: KeyboardEvent;
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
        change: Event;
        input: Event;
        beforeinput: InputEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        tooltip: {};
    };
};
export declare type SliderProps = typeof __propDef.props;
export declare type SliderEvents = typeof __propDef.events;
export declare type SliderSlots = typeof __propDef.slots;
export default class Slider extends SvelteComponentTyped<SliderProps, SliderEvents, SliderSlots> {
    get getElement(): () => HTMLInputElement;
    get stepUp(): () => void;
    get stepDown(): () => void;
}
export {};
